[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SizeUInt

Unsigned Integer type which fits for sizes

## Declaration

Source position: systemh.inc line 342

`type SizeUInt = DWord;`

## Description

SizeUInt is used to describe sizes of structures in FPC using an unsigned integer. The actual type of this type depends on the architecture: its size reflects the maximum addressable memory on the current architecture, thus it is 64-bit on 64-bit platforms, 32-bit on 32-bit platforms, and 16 bit on 16 bit platforms.

## See also

SizeInt |  | Signed integer type which fits for sizes